package main

import (
	"time"

	"github.com/sirupsen/logrus"

	loki "gitlab.bertha.cloud/partitio/lab/logrus-loki-hook"
)

func main() {
	h, err := loki.NewHookFromEnv(
		"hook_example",
		logrus.TraceLevel,
		loki.WithFieldAsLabels(false),
		loki.WithLabelsKV("version", "v0.3.0"),
	)
	if err != nil {
		logrus.Fatal(err)
	}
	defer h.Close()
	log := logrus.New()
	log.SetLevel(logrus.TraceLevel)
	log.ReportCaller = true
	log.AddHook(h)
	i := 0
	for {
		i++
		l := log.WithField("value", i).WithField("test", true)
		if i%2 == 0 {
			l.Infof("it's the %d message", i)
		} else {
			l.Errorf("%d is even", i)
		}
		time.Sleep(time.Second)
	}
}
